.books-wrapper {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;

  .ebook {
    margin-bottom: 30px;
    position: relative;
  }
}

.ebook {
  
  img {
    display: inline-block;
    vertical-align: middle;
    border-radius: 5px;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -moz-osx-font-smoothing: grayscale;
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -webkit-transition-property: transform;
    transition-property: transform;
    border: 6px solid #fff;
    position: relative;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12),
    0 1px 2px rgba(0, 0, 0, 0.12);
    transition: all 0.3s cubic-bezier(.25, .8, .25, 1);
  }
  .overlay {
    transition: all 0.3s cubic-bezier(.25, .8, .25, 1);
    opacity: 0;
    z-index: 1;
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.7);
    display: flex;
    align-items: center;

    .m-btn {
      min-width: 150px;
      margin-bottom: 10px;
    }
  }
}

.ebook:hover,
.ebook:focus,
.ebook:active {
  
  img {
    -webkit-transform: scale(1.03);
    transform: scale(1.03);
    box-shadow: 0 14px 28px rgba(0, 0, 0, 0.12),
    0 10px 10px rgba(0, 0, 0, 0.12);
  }

  .overlay {
    opacity: 1;
  }
}